"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createWindow;

var _v = _interopRequireDefault(require("uuid/v4"));

var _createWindow = _interopRequireDefault(require("../scripts/createWindow"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const WINDOW_FEATURES = 'menubar=1,toolbar=1,location=1,resizable=1,scrollbars=1';
const NEW_PAGE_URL = 'about:blank';
const DEFAULT_WINDOW_TYPE = 'tab';

async function createWindow({
  type
}) {
  type = type || DEFAULT_WINDOW_TYPE;
  let newPage;

  if (type === 'window') {
    const page = this.getPageHandle();
    await page.evaluate(_createWindow.default, NEW_PAGE_URL, WINDOW_FEATURES);
    const newWindowTarget = await this.browser.waitForTarget(target => target.url() === NEW_PAGE_URL);
    newPage = await newWindowTarget.page();
  } else {
    newPage = await this.browser.newPage();
  }

  const handle = (0, _v.default)();
  await newPage.bringToFront();
  this.currentWindowHandle = handle;
  this.windows.set(handle, newPage);
  return {
    handle: this.currentWindowHandle,
    type
  };
}