"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = elementClear;

var _elementClear = _interopRequireDefault(require("../scripts/elementClear"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function elementClear({
  elementId
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  const page = this.getPageHandle(true);
  await page.$eval('html', _elementClear.default, elementHandle);
  return null;
}