"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = elementSendKeys;

var _utils = require("../utils");

async function elementSendKeys({
  elementId,
  text
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  await elementHandle.focus();
  const page = this.getPageHandle();
  await page.keyboard.type(text);
  return null;
}