"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = executeAsyncScript;

var _executeAsyncScript = _interopRequireDefault(require("../scripts/executeAsyncScript"));

var _utils = require("../utils");

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function executeAsyncScript({
  script,
  args
}) {
  const page = this.getPageHandle(true);
  const scriptTimeout = this.timeouts.get('script');
  const result = await page.$eval('html', _executeAsyncScript.default, script, scriptTimeout, _constants.SERIALIZE_PROPERTY, _constants.SERIALIZE_FLAG, ..._utils.transformExecuteArgs.call(this, args));
  return _utils.transformExecuteResult.call(this, page, result);
}