"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getElementAttribute;

var _getElementAttribute = _interopRequireDefault(require("../scripts/getElementAttribute"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getElementAttribute({
  elementId,
  name
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  const page = this.getPageHandle(true);
  return page.$eval('html', _getElementAttribute.default, elementHandle, name);
}