"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getElementCSSValue;

var _getElementCSSValue = _interopRequireDefault(require("../scripts/getElementCSSValue"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getElementCSSValue({
  elementId,
  propertyName
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  const page = this.getPageHandle(true);
  return page.$eval('html', _getElementCSSValue.default, elementHandle, propertyName);
}