"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getElementProperty;

var _utils = require("../utils");

async function getElementProperty({
  elementId,
  name
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  const jsHandle = await elementHandle.getProperty(name);
  return jsHandle.jsonValue();
}