"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getElementTagName;

var _getElementTagName = _interopRequireDefault(require("../scripts/getElementTagName"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getElementTagName({
  elementId
}) {
  const elementHandle = this.elementStore.get(elementId);

  if (!elementHandle) {
    throw (0, _utils.getStaleElementError)(elementId);
  }

  const page = this.getPageHandle(true);
  const result = await page.$eval('html', _getElementTagName.default, elementHandle);
  return (result || '').toLowerCase();
}