"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isElementSelected;

var _getElementProperty = _interopRequireDefault(require("./getElementProperty"));

var _getElementTagName = _interopRequireDefault(require("./getElementTagName"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function isElementSelected({
  elementId
}) {
  const tagName = await _getElementTagName.default.call(this, {
    elementId
  });
  const name = tagName === 'option' ? 'selected' : 'checked';
  const isSelected = await _getElementProperty.default.call(this, {
    elementId,
    name
  });
  return Boolean(isSelected);
}