"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = newSession;

var _os = _interopRequireDefault(require("os"));

var _v = _interopRequireDefault(require("uuid/v4"));

var _launcher = _interopRequireDefault(require("../launcher"));

var _index = require("../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function newSession({
  capabilities
}) {
  const browser = await (0, _launcher.default)(capabilities);
  const sessionId = (0, _v.default)();
  const [browserName, browserVersion] = (await browser.version()).split('/');

  _index.sessionMap.set(sessionId, browser);

  return {
    sessionId,
    capabilities: {
      browserName,
      browserVersion,
      platformName: _os.default.platform(),
      platformVersion: _os.default.release()
    }
  };
}